Subject: Re: [RFD} Use regex's in :/ revision naming machinery

From: Johannes Sixt <[email-masked]>
Date: Tue, 06 Apr 2010 09:55:48 +0200

Am 4/6/2010 1:00, schrieb Linus Torvalds:
> I never use ':/', and part of it is that it's so horribly cumbersome. I'd 
> _like_ to use it to do things like 
> 
> 	gitk :/slabh..

Rhethoric question: Do you mean history _starting_ at the commit that
contains "slabh" or _ending_ at the commit that contains "slabh" followed
by two arbitrary characters?

If :/ is pattern-ized in some way, then IMO pattern matching syntax would
be more use-friendly than (extended) regular expresssions, particluarly
also because the single-character wildcard would be ? and avoid the
otherwise overloaded dot.

-- Hannes